Skip to main content
PATCH
/
api
/
public
/
v1
/
games
/
{game}
/
sideboard-guides
/
{id}
Update a sideboard guide (partial)
curl --request PATCH \
  --url https://api.flexslot.gg/api/public/v1/games/{game}/sideboard-guides/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Partner-Id: <api-key>' \
  --header 'X-Signature: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "notes": "<string>",
  "visibility": [
    "<string>"
  ],
  "tags": [
    "<string>"
  ],
  "format": "<string>",
  "thumbnail": "<string>",
  "youtube_url": "<string>",
  "premium": true,
  "is_archived": true
}
'
import requests

url = "https://api.flexslot.gg/api/public/v1/games/{game}/sideboard-guides/{id}"

payload = {
"name": "<string>",
"description": "<string>",
"notes": "<string>",
"visibility": ["<string>"],
"tags": ["<string>"],
"format": "<string>",
"thumbnail": "<string>",
"youtube_url": "<string>",
"premium": True,
"is_archived": True
}
headers = {
"X-Signature": "<api-key>",
"X-Partner-Id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {
'X-Signature': '<api-key>',
'X-Partner-Id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
description: '<string>',
notes: '<string>',
visibility: ['<string>'],
tags: ['<string>'],
format: '<string>',
thumbnail: '<string>',
youtube_url: '<string>',
premium: true,
is_archived: true
})
};

fetch('https://api.flexslot.gg/api/public/v1/games/{game}/sideboard-guides/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "author": {},
  "game": "<string>",
  "visibility": [
    "<string>"
  ],
  "deck_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "format": "<string>",
  "views": 123,
  "likes": 123,
  "hasMatchups": true,
  "thumbnail": "<string>",
  "editedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "sourceProvider": "<string>",
  "description": "<string>",
  "notes": "<string>",
  "youtube_url": "<string>",
  "premium": true,
  "is_archived": true,
  "tags": [
    "<string>"
  ],
  "matchups": [
    {}
  ],
  "decks": [
    {}
  ],
  "attached_deck_ids": [
    "<string>"
  ]
}

Authorizations

X-Signature
string
header
required

HMAC-SHA256 over canonical request string. Format: v1.<unix_seconds>.<hex_hmac_sha256>.

X-Partner-Id
string
header
required

Partner identifier slug. Required alongside X-Signature for HMAC auth.

Authorization
string
header
required

User-issued personal access token (format: flx_pat_).

Path Parameters

game
string
required
id
string<uuid>
required

Body

name
string
Required string length: 1 - 255
description
string | null
notes
string | null
Maximum string length: 500000
visibility
string[]
Minimum string length: 1
tags
string[]
Required string length: 1 - 50
format
string
Maximum string length: 50
thumbnail
string | null
Maximum string length: 255
youtube_url
string<uri>
Maximum string length: 500
premium
boolean
is_archived
boolean

Response

id
string<uuid>
required
read-only
name
string
required
read-only
author
object | null
required
read-only
game
string
required
read-only
visibility
string[]
required
read-only
deck_id
string<uuid>
required
read-only
format
string
required
read-only
views
integer
required
read-only
likes
integer
required
read-only
hasMatchups
boolean
required
read-only
thumbnail
string | null
required
read-only
editedAt
string<date-time>
required
read-only
createdAt
string<date-time>
required
read-only
sourceProvider
string | null
required
read-only
description
string | null
required
read-only
notes
string | null
required
read-only
youtube_url
string<uri> | null
required
read-only
premium
boolean
required
read-only
is_archived
boolean
required
read-only
tags
string[]
required
read-only
matchups
object[]
required
read-only
decks
object[]
required
read-only
attached_deck_ids
string[]
required
read-only